package main

import (
	"errors"
	"fmt"
	"log"
	"net/http"
	"os"

	"git.k-space.ee/k-space/logmower-shipper/pkg/watcher"
	"github.com/prometheus/client_golang/prometheus/promhttp"
)

func main() {
	go func() {
		metricsPort := 2112

		log.Printf("serving /metrics on port %d", metricsPort)

		http.Handle("/metrics", promhttp.Handler())

		if err := http.ListenAndServe(fmt.Sprintf(":%d", metricsPort), nil); !errors.Is(err, http.ErrServerClosed) {
			log.Fatalf("serving /metrics: %e", err)
		}
	}()

	if err := watcher.App.Run(os.Args); err != nil {
		log.Fatal(err)
	}
}
